Subscription Status API
This API inquires about the status of a KakaoPay Subscription Key.
Test Key Information
API Information
POST/spay/APIPZSubsStatus.do
Content-Type
application/json테스트
https://tbgw.settlebank.co.kr/spay/APIPZSubsStatus.do운영
https://gw.settlebank.co.kr/spay/APIPZSubsStatus.doImportant Notes
NOTE
Subscription Key status inquiry
You can verify the validity of a Subscription Key through status inquiry.
- Subscription Key deletion uses a separate API (
/spay/APIPZSubsDelKey.do).
Request Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
hecto_test: Subscription payment test└verAN(4)Alphanumeric, up to 4 bytes*Message version
Message version
*Fixed value
└methodA(2)Alphabetic, up to 2 bytes*Payment method
Payment method
*Fixed value (PZ: Digital Wallet)
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
Business type code
*Fixed value (S1: Status Inquiry)
└encCdN(2)Numeric, up to 2 bytes*Encryption classification code
Encryption classification code
*Fixed value
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Unique order number generated by the merchant
Unique order number generated by the merchant
└trdDtN(8)Numeric, up to 8 bytes*Request date (yyyyMMdd)
Request date (yyyyMMdd)
└trdTmN(6)Numeric, up to 6 bytes*Request time (HH24MISS)
Request time (HH24MISS)
└mobileYnA(1)Alphabetic, up to 1 bytesMobile indicator
Mobile indicator
Y: Mobile web/app N: PC or other└osTypeA(1)Alphabetic, up to 1 bytesOS type
OS type
A: Android I: iOS W: Windows M: Mac E: Otherdata Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
NOTE
Hash generation combination
trdDt + trdTm + mchtId + mchtTrdNo + hashKey
└corpPayCodeAN(40)Alphanumeric, up to 40 bytes*Digital wallet provider ID
Digital wallet provider ID
KKP: KakaoPay NVP: NaverPay└billKeyAN(50)Alphanumeric, up to 50 bytes*Subscription Key issued by Hecto Financial
Subscription Key issued by Hecto Financial
└pmtOrdN(3)Numeric, up to 3 bytesPayment method sequence number
Payment method sequence number
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Merchant ID
hecto_testMerchant ID
└verAN(4)Alphanumeric, up to 4 bytesMessage version
0A19Message version
└methodA(2)Alphabetic, up to 2 bytesPayment method
PZPayment method
└bizTypeAN(2)Alphanumeric, up to 2 bytesBusiness type code
S1Business type code
└encCdN(2)Numeric, up to 2 bytes*Encryption classification code
23Encryption classification code
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number
ORDER20211231100000Merchant order number
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction number
STFP_PGPZnx_mid_hd0230315153232M1196602Hecto Financial transaction number
└trdDtN(8)Numeric, up to 8 bytes*Request date (YYYYMMDD)
20211231Request date (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Request time (HHMMSS)
100000Request time (HHMMSS)
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure)
0021Transaction status code (success/failure)
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Result code
0000Result code
└outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Result message
Processed successfully.Result message
data Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*Hash value from the request returned as-is
f395b6725a9a18...Hash value from the request returned as-is
Webhook
NOTE
No webhook
The Subscription Status API does not send a webhook. Please confirm the result from the response message.
Need technical support?
Code Samples
HectoFinancial GitHub